# SPDX-License-Identifier: MIT
%dnl Packaging template: less common patterns for single-family fonts packaging.
%dnl
%dnl This template documents less common spec declarations, used when packaging a
%dnl single font family, from a single dedicated source archive.
%dnl
%dnl It is part of the following set of packaging templates:
%dnl “fonts-0-simple”: basic single-family fonts packaging
%dnl “fonts-1-full”:   less common patterns for single-family fonts packaging
%dnl “fonts-2-multi”:  multi-family fonts packaging
%dnl “fonts-3-sub”:    packaging fonts, released as part of something else

%dnl SRPM metadata
%global source_name        
%global source_summary     
%global source_epoch       
%global source_version     
%global source_release     
%global source_license     
%global source_url         
%global source_tags        %{expand:
}

%dnl Optional spec-wide fonts defaults
%global default_fonts_foundry          
%global default_fonts_license          
%dnl The following declarations are lists of space-separated shell globs
%dnl   – as they exist in the build root,
%dnl   — at the end of the %build stage,
%dnl   – in %{builddir}%{extract_dir<number>}
%dnl – legal files (licensing…)
%global default_fonts_licenses         
%dnl – exclusions from the %{default_fonts_licenses} list
%global default_fonts_licenses_exclude 
%dnl – documentation files
%global default_fonts_docs             
%dnl – exclusions from the %{default_fonts_docs} list
%global default_fonts_docs_exclude     
%dnl
%dnl Very specific settings; do not set except in special cases
%dnl
%dnl Fonts installation root
%global default_fonts_base_dir         
%dnl Generated appstream file contact
%global default_fonts_contact          
%dnl Generated appstream file organization root
%global default_fonts_organization     

%dnl Package-specific settings; variables that match a default or a source
%dnl variable are optional (sub)package-level overrides
%dnl
%dnl Identifier of the entity that released the font files
%global fonts_foundry0            
%global fonts_family0             
%global fonts_summary0            
%dnl The package License tag
%global fonts_license0            
%dnl Additional header tags, such as Obsoletes:
%global fonts_tags0               %{expand:
}
%global fonts_description0        %{expand:
}
%dnl %{_builddir} subdirectory when processing multiple source archives
%global fonts_extract_dir0        
%dnl Packaged font files glob list
%global fonts_fonts0              
%dnl Exclusions from %{fonts_fonts<suffix>}
%global fonts_fonts_exclude0      
%dnl Packaged fontconfig files glob list
%global fonts_confs0              
%dnl Exclusions from %{fonts_confs<suffix>}
%global fonts_confs_exclude0      
%dnl Packaged appstream files glob list
%global fonts_appstreams0         
%dnl Exclusions from %{fonts_confs<suffix>}
%global fonts_appstreams_exclude0 
%dnl Legal files (licensing…) glob list
%global fonts_licenses            
%dnl Exclusions from %{fonts_licenses<suffix>}
%global fonts_licenses_exclude    
%dnl Documentation files glob list
%global fonts_docs                
%dnl Exclusions from %{fonts_docs<suffix>}
%global fonts_docs_exclude        
%dnl The number of another block from which settings should be copied
%global fonts_include0            
%dnl %{_builddir} subdirectory when processing multiple source archives
%global fonts_extract_dir0        
%dnl
%dnl Less common settings
%dnl
%global fonts_epoch0              
%global fonts_version0            
%global fonts_release0            
%global fonts_post_release0       
%global fonts_url0                
%dnl
%dnl Very specific settings; do not set except in special cases
%dnl
%dnl Generated fonts package name
%global fonts_name0               
%dnl Font family human name
%global fonts_human_name0         
%dnl Generated appstream file contact
%global fonts_contact0            
%dnl Generated appstream file organization root
%global fonts_organization0       

%auto_init
%auto_pkg

%dnl
%dnl Generate a doc (sub)package header. This is useful to ship separately
%dnl bulky optional documentation such as PDF font specimens
%docpkg

%sourcelist

[number0]-%{fontname0}.conf

%patchlist

%patchlist

%prep
%auto_prep
%dnl Convert upstream files to UTF-8 and Unix end of lines if necessary
%dnl Optional arguments:
%dnl -e [encoding] source OS encoding (auto-detected otherwise)
%dnl -n            do not recode files, only adjust folding and end of lines
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
